Bug 255963 - New port: devel/forge Work with Git forges from the comfort of Magit (Release Version)
Summary: New port: devel/forge Work with Git forges from the comfort of Magit (Release...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on: 255959 256153
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-18 04:52 UTC by Yasuhiro Kimura
Modified: 2021-06-03 10:42 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (6.42 KB, patch)
2021-05-18 04:52 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (6.42 KB, patch)
2021-05-25 17:40 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-05-18 04:52:55 UTC
Created attachment 225054 [details]
Patch file

Forge allows you to work with Git forges, such as Github and Gitlab, from the comfort of Magit and the rest of Emacs.

Forge fetches issues, pull-requests and other data using the forge's API and stores that in a local database. Additionally it fetches the pull-request references using Git. Forge implements various features that use this data but the database and pull-request refs can also be used by third-party packages.

This is release version of forge and works with devel/magit.
Comment 1 Yasuhiro Kimura 2021-05-25 17:40:00 UTC
Created attachment 225254 [details]
Updated patch file

New version 0.2.0 is released.
Comment 2 commit-hook freebsd_committer 2021-06-03 10:38:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=caeb9552ed2bbf7e2ab1ada23d273c791fc86dc1

commit caeb9552ed2bbf7e2ab1ada23d273c791fc86dc1
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-06-03 10:35:10 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-03 10:35:10 +0000

    devel/forge: New port: Work with Git forges from Magit

    PR:             255963
    Approved by:    lwhsu (mentor)

 devel/Makefile              |  1 +
 devel/forge/Makefile (new)  | 52 +++++++++++++++++++++++++++++++++++++++++++++
 devel/forge/distinfo (new)  |  3 +++
 devel/forge/pkg-descr (new) | 10 +++++++++
 devel/forge/pkg-plist (new) | 37 ++++++++++++++++++++++++++++++++
 5 files changed, 103 insertions(+)
Comment 3 Guangyuan Yang freebsd_committer 2021-06-03 10:42:05 UTC
(In reply to Yasuhiro Kimura from comment #1)

Committed, thanks!